SLOs Dashboard
This contains APIs related to SLOs dashboard
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Page Index of the results to fetch.Default Value: 0
0Results per page
10Bad Request
This is Failure entity as defied in Harness
Internal Server Error
GET /slo-dashboard/environment-identifiers?accountId=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Page Index of the results to fetch.Default Value: 0
0Results per page
10Bad Request
This is Failure entity as defied in Harness
Internal Server Error
GET /slo-dashboard/monitored-services?accountId=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
GET /slo-dashboard/secondary-events-details?accountId=text&secondaryEventType=Downtime&identifiers=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}SLO identifier for the entity
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
GET /slo-dashboard/secondary-events/{identifier}?startTime=1&endTime=1&accountId=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
For filtering on the basis of user journeys' identifiers
For filtering on the basis of monitored services' identifiers
For filtering on the basis of name
For filtering on the basis of SLO type
For filtering on the basis of SLI Evaluation type
For Filtering on the basis of environment identifiers
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Get the risk count for all SLOs
GET /slo-dashboard/risk-count?accountId=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}SLO identifier for the entity
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Gets the SLO's details
GET /slo-dashboard/widget/{identifier}/consumption?startTime=1&endTime=1&accountId=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}SLO identifier for the entity
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Gets the SLO's details
GET /slo-dashboard/widget/{identifier}?accountId=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
For filtering on the basis of user journeys' identifiers
For filtering on the basis of monitored services' identifiers
For filtering on the basis of name
For filtering on the basis of SLO type
For filtering on the basis of SLI Evaluation type
For Filtering on the basis of environment identifiers
Page Index of the results to fetch.Default Value: 0
0Results per page
10Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Gets the SLOs for list view
GET /slo-dashboard/widgets/list?accountId=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Page Index of the results to fetch.Default Value: 0
0Results per page
10Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Gets the SLOs for list view
POST /slo-dashboard/widgets/list?accountId=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Content-Type: */*
Accept: */*
Content-Length: 365
{
"userJourneyIdentifiers": [
"text"
],
"monitoredServiceIdentifier": "text",
"targetTypes": [
"Rolling"
],
"errorBudgetRisks": [
"EXHAUSTED"
],
"searchFilter": "text",
"type": "Simple",
"sloTargetFilterDTO": {
"type": "Rolling",
"spec": {
"type": "text"
}
},
"compositeSLOIdentifier": "text",
"evaluationType": "Window",
"evaluationTypes": [
"Window"
],
"childResource": true,
"envIdentifiers": [
"text"
]
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Last updated
Was this helpful?